#!/bin/bash
#
# Script permettant la création d'un nouveau thème pour sso
# ver 1.0 - 2009-11-16
# Equipe EOLE
# eole@ac-dijon.fr
# http://eole.orion.education.fr

#pathOfTemplate="/usr/share/sso/interface/themes"
pathOfTemplate="./themes"

# choisir le nom du nouveau thème
cd $pathOfTemplate
if [ ! -z $1 ]
then
	nameOfTemplate=$1
else
	echo "Liste des modèles existants:"
	for i in `ls`
	do
		echo $i
	done
	echo "Choississez un thème :"
	read nameOfTemplate
fi

if [ -d $nameOfTemplate ]
then
	cp $nameOfTemplate/style/theme.css ../theme/style
	rm -rf ../theme/image/*
	cp -R $nameOfTemplate/images/* ../theme/image/
	echo "Le thème a été installé"
else
	echo "Le thème n'existe pas"
fi
exit
