#!/bin/bash
#
# Script permettant la création d'un nouveau thème pour sso
# ver 1.0 - 2009-11-16
# Equipe EOLE
# eole@ac-dijon.fr
# http://eole.orion.education.fr

pathOfTemplate="/usr/share/sso/interface/themes"
cd $pathOfTemplate
# choisir le nom du nouveau thème
if [ -z $1 ]
then
	echo "Saississez le nom de votre nouveau thème"
	read nameOfNewTemplate
else
	nameOfNewTemplate=$1
fi

# tester si le nouveau thème n'existe pas déjà
if [ -d $nameOfNewTemplate ]
then
	echo "Ce nom est déjà utilisé"
	exit
else
	# choisir un modèle existant
	echo "Liste des modèles existants:"
	for i in `ls`
	do
		echo $i
	done
	echo "Choississez un thème qui vous servira de base("modele" par defaut):"
	read nameOfTemplate
	if [ -z $nameOfTemplate ]
	then
		nameOfTemplate=modele
	fi
	cp -R $pathOfTemplate/$nameOfTemplate $pathOfTemplate/$nameOfNewTemplate
	echo "Votre thème a été crée, retrouvez le dans $pathOfTemplate/themes/$nameOfNewTemplate/"
fi
exit
