#!/usr/bin/python
#-*-coding:utf-8-*-
"""
    Synchronise l'annuaire ldap avec le réseau social posh
"""
import getopt, sys
from posh.api.scribe_api import EnvoleResponsables
DOC = """
Usage : synchronize_responsables.py

Synchronise les responsables de l'annuaire ldap dans le réseau social Posh
"""

def usage():
    """
        print la doc
    """
    print DOC

def main():
    """
        lance la commande
    """
    try:
        opts, args = getopt.getopt(sys.argv[1:], "h",
                         ["help"])
    except getopt.GetoptError, err:
        print str(err)
        usage()
        sys.exit(2)

    for option, value in opts:
        if option in ("-h", "--help"):
            usage()
            sys.exit(0)
        else:
            usage()
            assert False, "unhandled option"
    manager = EnvoleResponsables()
    manager.synchronize()
    sys.exit(0)

if __name__ == "__main__":
    main()
