#-*-encoding:utf-8-*-
"""
    Initialise les loggueurs pour la partie posh
"""
import logging
from posh.config.log import LOGFILES, LOGLEVEL
from pyeole.log import make_logger

#initialisation des logger
for key, files in LOGFILES.items():
    make_logger(key, logfile=files['info'],
                     errfile=files.get('error'),
                     debugfile=files.get('debug'),
                     loglevel=LOGLEVEL,
                     splitlog=True)

def getLogger(packagename):
    """
        Renvoie un logger pour le package packagename
    """
    return logging.getLogger(packagename)
