#-*-coding:utf-8-*-
# lancement de l'interface d'administration des profils
#
from twisted.application import service, internet
from twisted.web import server

from nevow import appserver

from twisted.python import log as logtw
logtw.FileLogObserver.timeFormat = "%Y/%m/%d %H:%M:%S %Z"
from posh.logger.logger import getLogger
log = getLogger('interface.servertac')

#TODO :
#   - i18N
#   - page404...

#from nevow.i18n import I18NConfig
#from nevow import inevow


def set_syspath(path):
    import sys
    log.info("# Appending app_path to syspath : %s #" % path)
    sys.path.append(path)

from posh.config.config import ADMIN_PORT, LOCATION, AUTH_SERVER, AUTH_FORM_URL
set_syspath(LOCATION)

from interface.interface.page import RootPage
from interface.interface.crypt import ServerContextFactory

application = service.Application("admin_posh_profile")
####    Interface d'administration
ssl_context = ServerContextFactory()
root = RootPage(AUTH_FORM_URL, AUTH_SERVER)
site = appserver.NevowSite(root)
myservice = internet.SSLServer(ADMIN_PORT, site, ssl_context)
myservice.setServiceParent(application)

#root.remember(I18NConfig(domain=APP_NAME, localeDir=I18N_DIR), inevow.II18NConfig)
# page d'erreur HTTP
#root.remember(Page404(), inevow.ICanHandleNotFound)
#root.remember(Page500(), inevow.ICanHandleException)
