#-*-coding:utf-8-*-
# lancement du serveur xmlrpc posh pour la gestion des profils
# et de l'interface d'administration des profils
#
import sys
from twisted.application import service, internet
from twisted.web import server
from twisted.python import log

from posh.config.config import XMLRPC_PORT, LOCATION

log.FileLogObserver.timeFormat = "%Y/%m/%d %H:%M:%S %Z"

log.msg("Appending app_path to syspath: %s" % LOCATION)
sys.path.append(LOCATION)
from server.server import UserContextServer

application = service.Application("xmlrpc_posh_profile")
#servicecollection = service.IServiceCollection(application)

#####    Gestion des profiles
#
#application = service.Application("eole_posh_profile")
site = server.Site(UserContextServer())
myservice = internet.TCPServer(XMLRPC_PORT, site)
myservice.setServiceParent(application)
