#!/usr/bin/python
#-*-coding:utf-8-*-
"""
    Synchronise l'annuaire ldap avec les groupe de profile posh
"""
import getopt, sys
from posh.api.scribe_api import EnvoleProfile
DOC = """
Usage : synchronize_profile.py

Synchronise les classes de l'annuaire ldap dans Posh
"""

def usage():
    """
        print la doc
    """
    print DOC

def main():
    """
        lance la commande
    """
    try:
        opts, args = getopt.getopt(sys.argv[1:], "h",
                                                  ["help"])
    except getopt.GetoptError, err:
        print str(err)
        usage()
        sys.exit(2)
    for option, value in opts:
        if option in ("-h", "--help"):
            usage()
            sys.exit(0)
    manager = EnvoleProfile()
    manager.envole_synchronize()
    sys.exit(0)

if __name__ == "__main__":
    main()

