#-*-coding:utf-8-*-
"""
    Fonction utiles à la gestion des onglets
"""
def is_widget_thumb(_id):
    """
        Renvoie True si l'onglet contient des widgets
    """
    return int(_id) > 0

def sorting_seqs(thumba, thumbb):
    """
        Fonction de tri pour une liste d'objet Thumb
    """
    if thumba.seq > thumbb.seq:
        return 1
    elif thumba.seq == thumbb.seq:
        return 0
    else:
        return -1

def _set_all_seqs(thumbs):
    """ ordonne les seqs des onglets métiers
        ex : si on  a un thumb avec un seq 1 et un autre avec le seq 3,
             on veut 1 et 2
    """
    thumbs.sort(sorting_seqs)
    for thumb in thumbs:
        thumb.seq = thumbs.index(thumb)
    return thumbs

def _next_module_id(alist, blist, clist):
    """
        Renvoie le premier id de module disponible
        alist, blist et clist : listes d'ids de module
    """
    alist.extend(blist)
    alist.extend(clist)
    return int(max(alist)) + 1
