// Fonctions générales de notre librairie ajax
//--------------------------------------------
function setClass(obj_id,new_class)
{
        var _obj=$(obj_id);
        if (_obj) _obj.className=new_class;
}
function show(obj_id, disp) // disp parmi true, false, block, inline, none
{
        if ( typeof(disp) == 'undefined' ){
            disp='block';
        }else{
            if (disp==false){
                disp = none;
            }
        }
        var _obj = $(obj_id);
        if (obj) obj.style.display=disp;
}
function setContent(_id, _string, _pos) // _id:balise, _string:le contenu, _pos: position parmi '', 'top', 'bottom'
{
        var _obj=$(_id);
        if (typeof(_pos) == 'undefined'){
            _s=_string;
        }else{
            if (_pos=="bottom") _s = _obj.innerHTML + _string;
            if (_pos=="top") _s = _string + _obj.innerHTML;
        }
        if (_obj) _obj.innerHTML=_s;
}
// REQUETE xmlhttp
function newXHR()
{
        try
        {
                return new ActiveXObject("Msxml2.XMLHTTP");
        }
        catch (e)
        {}
        try
        {
                return new ActiveXObject("Microsoft.XMLHTTP");
        }
        catch (e)
        {}
        try
        {
                return new XMLHttpRequest();
        }
        catch(e)
        {}
        p_alert.show(lg("msgXMLnav"));
        return null;
}
function callUrl(url, sendList, balise){
    if (typeof(sendList)=='undefined'){
            sendList=new Array();
    }
    if (typeof(balise)=='undefined'){
        balise='content_container';
    }
    var req = newXHR();
    req.onreadystatechange = function(){
            if(req.readyState == 4){
		        if(req.status == 200)
                    {
            			texte = req.responseText;
            			// recuperation de la balise de reception de la requete
            			var container = $(balise);
                        handleResponse(texte, container);
                    }
                    }
        }

    var _send = getRequestParams(sendList);
    content_length = _send.length;
    req.open("POST", url, true);
    req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    req.setRequestHeader("X-Requested-With", "XMLHttpRequest");
    req.setRequestHeader("Content-Length", content_length);
    req.send(_send);
}
function handleResponse(texte, container){
    var script = parseRequest(texte);
    if (container==null){
                         container = $('content_container');
                         texte="Il y a une erreur dans l'arborescence html";
    }
    if (script != null) container.innerHTML =  texte;
    if (script != ''){
                     eval(script);
                     }

}
function parseRequest(requestTxt){
	// parse l'existence de mot cle dans la requête
	// :refresh: rafraichit la page (F5)
	// :redirect: change l'url de la page en cour redirect=<MonUrl>
	// :script javascript à effectuer à la réception de la réponse
	if (requestTxt.substr(0, 7) == 'refresh') {
			window.location.reload();
			return null;
	}else{
		 // si le retour commence par redirect, on redirige
			if (requestTxt.substr(0, 8) == 'redirect'){
				window.location.href = requestTxt.substring(9, requestTxt.length );
				return null;
			}
	}
	if (requestTxt.indexOf('<script>')!=-1 ){
		debut = requestTxt.indexOf('<script>') + 8;
		fin = requestTxt.indexOf('</script>');
		script = requestTxt.substring(debut, fin);
		return script;
	}
	else return '';

}
function getRequestParams(sendList){
	// renvoie une liste de parametres pour lancer une requete
	// sous forme de string
	var _send = '';
	for (i=0; i<sendList.length; i++){
		_send += '&' + sendList[i][0] + '=' + sendList[i][1];
	}
	return _send;
}
function Refresh(widgetId, sendList, url){
    widget = $(widgetId);
    if (!widget)return;
    if (typeof(url) == "undefined"){
        if (typeof(sendList) == "undefined"){
            sendList = [];
        }
        url = widget.getAttributeNode('myurl').value;
    }
    callUrl(url, sendList, widgetId);
}
function fenetre(url, nom){
    window.open(url,nom, 'resizable=yes,width=600,height=500,left=50,screenY=150,location=no,menubar=no,toolbar=no,scrollbars=yes')
}
//function transfer(select1_id, select2_id){
//    select1 = $(select1_id);
//    select2 = $(select2_id);
//    if (select1.selectedIndex != -1){
//        for (i=0; i<select1.options.length; i++){
//            if (select1.options[i].selected){
//                value = select1.options[i].value;
//        libelle = select1.options[i].innerHTML;
//                select1.options[i].parentNode.removeChild(select1.options[i]);
//        select2.innerHTML += "<option value='" + value + "'>" + libelle + "</option>";
//        i=i-1;
//    }}}
//}
function autoselect(form, sens){
            if (sens != false){
                sens = true;
            }
            for (j=0; j<form.elements.length; j++){
                                element = form.elements[j];
                                if (element.options){
                                for (i=0; i<element.options.length; i++){
                                        element.options[i].selected=sens;
                                        }
                                }
            }
            return false;
}

/////////////////////////////////////////////////
// Transfert une ligne de la liste Origine à la liste Destination
function transfer(select1_id, select2_id)
{   var select1 = $(select1_id);
    var select2 = $(select2_id);
    if (!(select1.options.selectedIndex<0)){
    for (i=0; i<select1.options.length; i++){
        if (select1.options[i].selected){
            opt = select1.options[i];
            var ADeplacer = new Option(opt.text, opt.value);
            select2.options[select2.length]=ADeplacer;
            select1.options[i]=null;
            i = i-1;
        }
    }}
}
function GetExtension(filename){
        extension = filename.match(/[.][\w][\w+]*$/);
        if (extension != null){
                return extension[0];
        }else{
                return "";
        }
}
//***********************************************
// Outil de telechargement de fichier en ajax
// --------------------------------------------
// 1-Remplit la balise de nom de fichier depuis avec le nom du fichier à télécharger
// 2-Crée une frame framedenvoidedonnees dans la balise iframe_upload_container
// 3-Submit le formulaire dans la frame
// 4-Récupère le contenu html renvoyé dans la frame
// 5-Récupère le javascript à éxécuter dans head->script de la frame (elle le fout directement dans le header ...)
//
ajaxIframe = {
    createframe : function(submit_handler, iframe_container_id) {
        if (iframe_container_id == null) iframe_container_id = 'iframe_upload_container';
        var frame_id = "framedenvoidedonnees" + Math.floor(Math.random() * 99999);
        var div_container = $(iframe_container_id);
        div_container.innerHTML = '<iframe style="display:none" src="about:blank" id="'+frame_id+'" name="'+frame_id+'" onload="ajaxIframe.loaded(\''+frame_id+'\')"></iframe>';
        var myframe = $(frame_id);
        if (submit_handler && typeof(submit_handler.onComplete) == 'function') {
            myframe.onComplete = submit_handler.onComplete;
        }
        return frame_id;
    },
    handleForm : function(f, frame_name) {
        f.setAttribute('target', frame_name);
    },
    submit : function(form_id, submit_handler, download_tag, filename_tag, iframe_container_id) {
        // Teste le nouveau nom et met la meme extension
        if ($(filename_tag) && $(download_tag)){
                new_fname = $(filename_tag).value;
                orig_fname = $(download_tag).value;
                if (new_fname == ''){
                        $(filename_tag).value = escape($(download_tag).value);
                }else{
                        if (GetExtension(new_fname) != GetExtension(orig_fname)){
                                $(filename_tag).value += GetExtension(orig_fname);
                        }
                }
        }
        ajaxIframe.handleForm(form_id, ajaxIframe.createframe(submit_handler, iframe_container_id));
        if (submit_handler && typeof(submit_handler.onStart) == 'function') {
            return submit_handler.onStart();
        } else {
            return true;
        }
    },
    loaded : function(frame_id) {
        var myframe = $(frame_id);
        if (myframe.contentDocument) {
            var myframe_cont = myframe.contentDocument;
        } else if (myframe.contentWindow) {
            var myframe_cont = myframe.contentWindow.document;
        } else {
            var myframe_cont = window.frames[frame_id].document;
        }
        if (myframe_cont.location.href == "about:blank") {
            return;
        }
        if (typeof(myframe.onComplete) == 'function') {
            script = null;
            // récupération de la balise script dans le header de l'iframe qui permet le download
            if (myframe_cont.getElementsByTagName('head').length > 0){
                head = myframe_cont.getElementsByTagName('head')[0]
                if (head.getElementsByTagName('script').length > 0){
                    script = head.getElementsByTagName('script')[0].innerHTML;
                }
            }
            myframe.onComplete(myframe_cont.body.innerHTML, script);
        }
    }
}
function startCallback() {
            return true;
}
function getCompleteCallback(msg_container_id){
        function completeCallback(responsehtml, script) {
            $(msg_container_id).innerHTML = responsehtml;
			if (script != null){
				eval(script);
			}
            return false;
        }
        return completeCallback
}
